diff --git a/run.sh b/run.sh
index fb08803e746eb1a06e0c8035ff6a11c8a8d8478a..fb8fead2478ff83510ab23752631fc9386bc911e 100755
--- a/run.sh
+++ b/run.sh
@@ -3,10 +3,10 @@ MAKEDIR="$(dirname "$0")"
 
 # Currently there no tests requiring faking monotonic time in this repository (there are some elsewhere)
 # pytest returns code 5 on "no tests were run" so we just ignore it
-faketime -m --exclude-monotonic "" python3 -m pytest -c "${MAKEDIR}/deckard_pytest.ini" --tb=short -q ${VERBOSE:+"--log-level=DEBUG"} "${MAKEDIR}" ${DECKARDFLAGS:-} ${TESTS:+"--scenarios=${TESTS}"} -m "not monotonic" --boxed "$@"
-NONMONO_RES=$(( $? == 5 ? 0 : $? ))
 faketime -m "" python3 -m pytest -c "${MAKEDIR}/deckard_pytest.ini" --tb=short -q ${VERBOSE:+"--log-level=DEBUG"} "${MAKEDIR}" ${DECKARDFLAGS:-} ${TESTS:+"--scenarios=${TESTS}"} -m "monotonic" --boxed "$@"
 MONO_RES=$(( $? == 5 ? 0 : $? ))
+faketime -m --exclude-monotonic "" python3 -m pytest -c "${MAKEDIR}/deckard_pytest.ini" --tb=short -q ${VERBOSE:+"--log-level=DEBUG"} "${MAKEDIR}" ${DECKARDFLAGS:-} ${TESTS:+"--scenarios=${TESTS}"} -m "not monotonic" --boxed "$@"
+NONMONO_RES=$(( $? == 5 ? 0 : $? ))
 
 if [ $NONMONO_RES -ne 0 ]
 then